'use strict'

import directives from './directives'
import Week from './components/week/week.vue'
import Calendar from './components/calendar/calendar.vue'
import Region from './components/region/region.vue'
import SearchInput from './components/searchInput/searchInput.vue'
import SearchIcon from './components/svg/searchIcon.vue'
import EmptyPage from './components/emptyPage/emptyPage.vue'
import VueTouch from 'vue-touch'

function install (Vue, options = {}) {

  let namespace = options.namespace ? options.namespace + '-' : ''
  Object.keys(directives).forEach(name => {
    Vue.directive(name, directives[name])
  })

  Vue.use(VueTouch)
  Vue.component(namespace + Week.name, Week)
  Vue.component(namespace + Calendar.name, Calendar)
  Vue.component(namespace + Region.name, Region)
  Vue.component(namespace + SearchInput.name, SearchInput)
  Vue.component(namespace + SearchIcon.name, SearchIcon)
  Vue.component(namespace + EmptyPage.name, EmptyPage)
}

// auto install
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
};

export default install

if (typeof module === 'object' && module.exports) {
  module.exports.install = install
}